Bug 822448 - [abrt] evolution-3.4.1-2.fc17: g_mutex_get_impl: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.1-2.fc17: g_mutex_get_impl: Process /usr/bin/evolution w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:4b7b0b51d91c54bd29f8619efcd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 07:32 EDT by Peter Robinson
Modified: 2013-07-31 23:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (125.75 KB, text/plain)
2012-05-17 07:32 EDT, Peter Robinson
no flags Details
File: xsession_errors (10.25 KB, text/plain)
2012-05-17 07:32 EDT, Peter Robinson
no flags Details
File: maps (122.29 KB, text/plain)
2012-05-17 07:32 EDT, Peter Robinson
no flags Details
File: dso_list (27.82 KB, text/plain)
2012-05-17 07:32 EDT, Peter Robinson
no flags Details
File: build_ids (10.57 KB, text/plain)
2012-05-17 07:32 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2012-05-17 07:32:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        evolution
crash_function: g_mutex_get_impl
executable:     /usr/bin/evolution
kernel:         3.3.4-4.fc17.x86_64
pid:            29411
pwd:            /home/perobinson
remote_result:  NOTFOUND
time:           Mon 14 May 2012 10:34:15 BST
uid:            501
username:       perobinson

backtrace:      Text file, 128768 bytes
build_ids:      Text file, 10824 bytes
dso_list:       Text file, 28484 bytes
maps:           Text file, 125221 bytes
xsession_errors: Text file, 10494 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/perobinson/2

comment:
:Problems with password in keyring for google calendar
:
:** (evolution:24131): WARNING **: search_address_in_addressbooks: Can't get contacts from 'Personal': No such interface `org.gnome.evolution.dataserver.AddressBook' on object at path /org/gnome/evolution/dataserver/AddressBook/24145/4
:e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x83456 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x836b9 g_mutex_lock libglib-2.0.so.0 -
:6e4122602d170ea6392003c567ac48bacdcb5e7b 0x21d62 e_flag_set libedataserver-1.2.so.16 -
:3137b1898e9379bf4e7d2e8bcce786822803c3a2 0x10fe9 - libeews-1.2.so.0 -
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67 0x45fc4 - libsoup-2.4.so.1 -
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67 0x4615b - libsoup-2.4.so.1 -
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67 0x46936 - libsoup-2.4.so.1 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:3137b1898e9379bf4e7d2e8bcce786822803c3a2 0xf8c6 - libeews-1.2.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6a315 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=neo.roving-it.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5a3d0f051d91f77357c1162e00000021-1336589981.786971-1797632499
:GNOME_KEYRING_CONTROL=/run/user/perobinson/keyring-Lp9AWb
:IMSETTINGS_MODULE=none
:USER=perobinson
:USERNAME=perobinson
:MAIL=/var/spool/mail/perobinson
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/perobinson/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/perobinson
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1367
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:'PS1=[\\[\\e[0;32m\\]\\u\\[\\e[0m\\]@\\[\\e[0;35m\\]\\h\\[\\e[0m\\] \\W\\[\\e[0;33m\\]$(__git_ps1 \" (%s)\")\\[\\e[0m\\]]\\[\\e[0;32m\\]\\$ \\[\\e[0m\\]'
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/perobinson
:SHLVL=1
:LOGNAME=perobinson
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4DMcDhiaNo,guid=e229262a862a3f28fa2d10e000000094
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/perobinson
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-perobinson-DgYDcx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1371,unix/unix:/tmp/.ICE-unix/1371
:GPG_AGENT_INFO=/run/user/perobinson/keyring-Lp9AWb/gpg:0:1
:SSH_AUTH_SOCK=/run/user/perobinson/keyring-Lp9AWb/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=29411
:DESKTOP_STARTUP_ID=gnome-shell-1618-neo.roving-it.com-evolution-3_TIME351004937

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29854                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29854                29854                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/perobinson/.xsession-errors
:pos:	257147
:flags:	0102002
:2:/home/perobinson/.xsession-errors
:pos:	257147
:flags:	0102002
:3:socket:[3233735]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3234796]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[3235756]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[3232515]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/perobinson/.pki/nssdb/cert9.db
:pos:	14336
:flags:	02100002
:12:/var/tmp/etilqs_S9M2Du7qQey6a0y (deleted)
:pos:	28
:flags:	02100002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/var/tmp/etilqs_wf10wd8SmCO6d3T (deleted)
:pos:	2056
:flags:	02500002
:15:/var/tmp/etilqs_D6Y6C2hckeHLIKe (deleted)
:pos:	2048
:flags:	02500002
:16:/home/perobinson/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:17:/var/tmp/etilqs_VDhjFU3L4Q4vjgT (deleted)
:pos:	28
:flags:	02100002
:18:/var/tmp/etilqs_3gy404amcpJiacf (deleted)
:pos:	2056
:flags:	02500002
:19:/var/tmp/etilqs_XTrrUOMklL8iJfJ (deleted)
:pos:	2048
:flags:	02500002
:20:/etc/pki/nssdb/cert9.db
:pos:	2048
:flags:	02100000
:21:/var/tmp/etilqs_uKqKYa34KvZ4gOy (deleted)
:pos:	28
:flags:	02100002
:22:/var/tmp/etilqs_1EfhhW6G7sC5gRy (deleted)
:pos:	2048
:flags:	02500002
:23:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:24:/var/tmp/etilqs_2QGHsMgWeiXLsGT (deleted)
:pos:	28
:flags:	02100002
:25:/var/tmp/etilqs_S3HmtR5hiT3J6yw (deleted)
:pos:	2048
:flags:	02500002
:26:socket:[3234808]
:pos:	0
:flags:	02004002
:27:/home/perobinson/.local/share/evolution/mail/local/folders.db
:pos:	40960
:flags:	02100002
:28:/home/perobinson/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:29:socket:[3235842]
:pos:	0
:flags:	02004002
:30:/home/perobinson/.cache/evolution/mail/1273562595.2599.4@localhost.localdomain/folders.db
:pos:	40
:flags:	02100002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:32:/home/perobinson/.cache/evolution/mail/1321005508.4289.2@neo.roving-it.com/folders.db
:pos:	15867904
:flags:	02100002
:33:anon_inode:inotify
:pos:	0
:flags:	02004000
:34:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:35:/dev/urandom
:pos:	0
:flags:	02100000

var_log_messages:
:May 13 20:49:10 neo yum[1496]: Updated: evolution-mapi-3.4.1-3.fc17.x86_64
:May 14 09:59:39 neo kernel: [350794.600778] evolution[29273]: segfault at 4000000040 ip 0000003292244883 sp 00007fffb85d03a8 error 4 in libglib-2.0.so.0.3200.1[3292200000+11d000]
:May 14 09:59:40 neo abrt[29364]: Saved core dump of pid 29273 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-14-09:59:39-29273 (132800512 bytes)
:May 14 10:34:16 neo abrt[30141]: Saved core dump of pid 29411 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-14-10:34:15-29411 (158998528 bytes)
Comment 1 Peter Robinson 2012-05-17 07:32:15 EDT
Created attachment 585188 [details]
File: backtrace
Comment 2 Peter Robinson 2012-05-17 07:32:17 EDT
Created attachment 585189 [details]
File: xsession_errors
Comment 3 Peter Robinson 2012-05-17 07:32:19 EDT
Created attachment 585190 [details]
File: maps
Comment 4 Peter Robinson 2012-05-17 07:32:21 EDT
Created attachment 585191 [details]
File: dso_list
Comment 5 Peter Robinson 2012-05-17 07:32:23 EDT
Created attachment 585192 [details]
File: build_ids
Comment 6 Milan Crha 2012-05-18 02:53:23 EDT
Thanks for a bug report. I see you got your EWS account locked again.

> (evolution:6927): camel-ews-provider-WARNING **: Unable to fetch the folder
> hierarchy: No response: ( The referenced account is currently locked out and
> may not be logged on to.  ) :288

The crash itself happens somewhere under evolution-ews code, but all the debug information for evolution-ews is missing. Could you update the backtrace with debuginfo packages for evolution-ews being of the same version as the binary package, please?
Comment 7 Peter Robinson 2012-05-18 03:06:36 EDT
Unfortunately I never got the ews debug info packages from here 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4017904

You don't happen to have a x86_64 build around do you?
Comment 8 Milan Crha 2012-05-18 05:42:43 EDT
Unfortunately not, once it's gone from the koji it's gone. I'm sorry.
Comment 9 Fedora End Of Life 2013-07-03 20:13:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 23:41:52 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.